# Class JSOFA.SphericalCoordinate

java.lang.Object
org.jastronomy.jsofa.JSOFA.SphericalCoordinate

Enclosing class:
  `JSOFA`

public static class JSOFA.SphericalCoordinate extends Object
Position consisting of (α, δ) pairs in radians. Where α is right ascension (or longitude angle) and δ is declination (or latitude angle).

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 1 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`alpha`
`double`
`delta`

## Constructor Summary

Constructors
Constructor
Description
`SphericalCoordinate(double alpha, double delta)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### alpha

public double alpha

### delta

public double delta

## Constructor Details

### SphericalCoordinate

public SphericalCoordinate(double alpha, double delta)